/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\stormtrooper.cs
Lines of code: 93
***********************************************************/


using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a clone corpse" )]
	public class stormtrooper : BaseCreature
	{
		public override bool ClickTitle{ get{ return false; } }
		public override double SwitchWeaponChance{ get{ return 0.6; } }		

		public override OppositionGroup OppositionGroup
		{
			get{ return OppositionGroup.JediAndSith; }
		}
		
		
		[Constructable]
		public stormtrooper() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.13, 0.24 )
		{
			SpeechHue = Utility.RandomDyedHue();
			Hue = Utility.RandomSkinHue();
			Name = "a storm trooper";
			Body = (( this.Female = Utility.RandomBool() ) ? Body = 0x191 : Body = 0x190);
			
			Hue = Utility.RandomSkinHue();
			HairItemID = 0;
			
			SetStr( 100, 100 );
			SetDex( 200, 200 );
			SetInt( 50, 50 );

	        SetHits( 100, 100 );
			SetMana( 50, 50 );

			SetDamage( 5, 10 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 70, 90 );
			SetResistance( ResistanceType.Fire, 40, 50);
			SetResistance( ResistanceType.Cold, 40, 50 );
			SetResistance( ResistanceType.Poison, 30, 40 );
			SetResistance( ResistanceType.Energy, 30, 40  );
			

			
			SetSkill( SkillName.Tactics, 120);
			SetSkill( SkillName.Anatomy, 120 );

			SetSkill( SkillName.Archery, 130 );
			SetSkill( SkillName.Wrestling, 100 );
			
			SetSkill( SkillName.Healing, 120);			


			Fame = 700;
			Karma = -1900;


			AddItem( new stormtrooperbow() );

			PlateHelm helmet = new PlateHelm();
			helmet.Hue = 1150;
			AddItem(helmet);

			PlateGloves gloves = new PlateGloves();
			gloves.Hue = 1150;
			AddItem(gloves);

			PlateArms arms = new PlateArms();
			arms.Hue = 1150;
			AddItem(arms);

			PlateChest chest = new PlateChest();
			chest.Hue = 1150;
			AddItem(chest);

			PlateLegs legs = new PlateLegs();
			legs.Hue = 1150;
			AddItem(legs);

			PlateGorget gorget = new PlateGorget();
			gorget.Hue = 1150;
			AddItem(gorget); 


			PackItem( new Bolt( Utility.RandomMinMax( 60, 150 ) ) );
		}
		
		public override void OnDeath( Container c )
 		{
			sithlord.GiveArtifact(this, 0.01);
			base.OnDeath( c );
	 	}



		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.Average);
			AddLoot( LootPack.Potions);
			AddLoot( LootPack.Gems, 2 );			
		}

		public override bool AlwaysMurderer{ get{ return true; } }
		public override bool BardImmune{ get{ return true; } }
		public override bool ShowFameTitle{ get{ return false; } }

		public stormtrooper( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
